class ModuleBean {
  bool status;
  int statusCode;
  String message;
  Data data;

  ModuleBean({
      this.status, 
      this.statusCode, 
      this.message, 
      this.data});

  ModuleBean.fromJson(dynamic json) {
    status = json["status"];
    statusCode = json["status_code"];
    message = json["message"];
    data = json["data"] != null ? Data.fromJson(json["data"]) : null;
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map["status"] = status;
    map["status_code"] = statusCode;
    map["message"] = message;
    if (data != null) {
      map["data"] = data.toJson();
    }
    return map;
  }

}

class Data {
  List<Modules> modules;
  List<Screens> screens;

  Data({
      this.modules, 
      this.screens});

  Data.fromJson(dynamic json) {
    if (json["modules"] != null) {
      modules = [];
      json["modules"].forEach((v) {
        modules.add(Modules.fromJson(v));
      });
    }
    if (json["screens"] != null) {
      screens = [];
      json["screens"].forEach((v) {
        screens.add(Screens.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    if (modules != null) {
      map["modules"] = modules.map((v) => v.toJson()).toList();
    }
    if (screens != null) {
      map["screens"] = screens.map((v) => v.toJson()).toList();
    }
    return map;
  }

}

class Screens {
  int id;
  int moduleId;
  String screenName;
  String screenIcon;
  String status;
  dynamic createdAt;
  dynamic updatedAt;

  Screens({
      this.id, 
      this.moduleId, 
      this.screenName, 
      this.screenIcon, 
      this.status, 
      this.createdAt, 
      this.updatedAt});

  Screens.fromJson(dynamic json) {
    id = json["id"];
    moduleId = json["module_id"];
    screenName = json["screen_name"];
    screenIcon = json["screen_icon"];
    status = json["status"];
    createdAt = json["created_at"];
    updatedAt = json["updated_at"];
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map["id"] = id;
    map["module_id"] = moduleId;
    map["screen_name"] = screenName;
    map["screen_icon"] = screenIcon;
    map["status"] = status;
    map["created_at"] = createdAt;
    map["updated_at"] = updatedAt;
    return map;
  }

}

class Modules {
  int id;
  String moduleName;
  String moduleIcon;
  String status;
  dynamic createdAt;
  dynamic updatedAt;

  Modules({
      this.id, 
      this.moduleName, 
      this.moduleIcon, 
      this.status, 
      this.createdAt, 
      this.updatedAt});

  Modules.fromJson(dynamic json) {
    id = json["id"];
    moduleName = json["module_name"];
    moduleIcon = json["module_icon"];
    status = json["status"];
    createdAt = json["created_at"];
    updatedAt = json["updated_at"];
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map["id"] = id;
    map["module_name"] = moduleName;
    map["module_icon"] = moduleIcon;
    map["status"] = status;
    map["created_at"] = createdAt;
    map["updated_at"] = updatedAt;
    return map;
  }

}